Bug 907547 - Cloud-Init needs updating to support CloudStack/CloudPlatform
Summary: Cloud-Init needs updating to support CloudStack/CloudPlatform
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: cloud-init
Version: el6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Sam Kottler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-04 17:06 UTC by Mark Syms
Modified: 2014-06-18 08:14 UTC (History)
7 users (show)

Fixed In Version: cloud-init-0.7.4-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-01 07:15:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Mark Syms 2013-02-04 17:06:34 UTC
Description of problem:

The latest version of the cloud-init tool in the upstream Bazaar is at revision
779, the build currently available in the mirror is at 532 and does not support
CloudStack/CloudPlatform environments. Can a new version of the package be built
against the current latest upstream release which does contain support for these
environments?

Version-Release number of selected component (if applicable):

cloud-init-0.6.3-0.12.bzr532.el6.noarch.rpm

How reproducible:

100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:

No support for CloudStack

Expected results:

cloud-init works correctly on CloudStack

Additional info:

Se upstream Bazaar repository, http://bazaar.launchpad.net/~cloud-init-dev/cloud-init/trunk/files

Comment 1 Garrett Holmstrom 2013-03-27 06:47:22 UTC
RHEL 6.4 seems to have added cloud-init 0.7.1 to a new "common" channel:  ftp://ftp.redhat.com/redhat/linux/enterprise/6Server/en/RH-COMMON/SRPMS/cloud-init-0.7.1-2.el6.src.rpm

Comment 2 Mark Syms 2013-04-10 08:40:18 UTC
Whilst it's good that there is a newer version in the Redhat FTP location, it still does not contain the necessary changes to actually work on CloudStack, specifically it requires at least revision 757 from the upstream repo and ideally it need the latest (>801). Maybe this will be sorted once version 7.2 is formally released.

Comment 3 Sam Kottler 2014-01-16 09:27:02 UTC
I'll dig into this more, as we talked about on centos-devel.

Comment 4 Fedora Update System 2014-01-25 13:50:45 UTC
cloud-init-0.7.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cloud-init-0.7.4-1.el6

Comment 5 Fedora Update System 2014-01-25 17:28:21 UTC
Package cloud-init-0.7.4-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cloud-init-0.7.4-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0333/cloud-init-0.7.4-1.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-01-27 15:49:39 UTC
cloud-init-0.7.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cloud-init-0.7.4-2.el6

Comment 7 Fedora Update System 2014-03-01 07:15:04 UTC
cloud-init-0.7.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.